import { ui } from "../ui/layaMaxUI";
import { SC, ViewManager, ViewType } from "./ViewManager";

export default class ReviveView extends ui.ReviveViewUI implements SC{
    private static ins:ReviveView;
    constructor(){
        super();
    }
    public static get Instance():ReviveView{
        if(ReviveView.ins){
            return ReviveView.ins
        }
        else{
            return new ReviveView();
        }
    }
    Show(){
        this.NoBtn.clickHandler = Laya.Handler.create(this,this.ClickClose)
        this.height = Laya.stage.height; 
        Laya.stage.on(Laya.Event.RESIZE,this,()=>
        {
            this.height = Laya.stage.height;
        })
    }
    Close(){
        
    }
    ClickClose(){
        ViewManager.Instance.ShowView(ViewType.MainView);
    }

} 